Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.CompletedQueriesRowOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.CompletedQueriesRow`, `ClientWireProtocol.CompletedQueriesRow.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.CompletedQueriesRowOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`long`
`getBytesReturned()`
the number of bytes returned by the query
`String`
`getClientIp()`
the IP of the client
`com.google.protobuf.ByteString`
`getClientIpBytes()`
the IP of the client
`String`
`getClientVersion()`
the version of the connector used to submit the query
`com.google.protobuf.ByteString`
`getClientVersionBytes()`
the version of the connector used to submit the query
`int`
`getCode()`
the SQL state code
`double`
`getCostEstimate()`
the plan cost estimate
`com.google.protobuf.StringValue`
`getDatabaseId()`
the string representation of the database uuid the user was connected to
`com.google.protobuf.StringValueOrBuilder`
`getDatabaseIdOrBuilder()`
the string representation of the database uuid the user was connected to
`double`
`getFinalEffectivePriority()`
the final effective dynamically adjusted priority
`float`
`getInitialEffectivePriority()`
initial effective priority adjusted for query cost and mem usage
`float`
`getInitialPriority()`
initial plan priority based on wlm limits
`int`
`getPlanParallelism()`
the plan parallelism
`float`
`getPriorityAdjustFactor()`
priority adjustment factor
`int`
`getPriorityAdjustTime()`
priority adjustment time
`String`
`getReason()`
the reason
`com.google.protobuf.ByteString`
`getReasonBytes()`
the reason
`long`
`getRowsReturned()`
the number of rows returned by the query
`long`
`getRuntime()`
the number of seconds take to complete the query
`String`
`getSql()`
the sql text
`com.google.protobuf.ByteString`
`getSqlBytes()`
the sql text
`String`
`getState()`
the string representation of the SQL state
`com.google.protobuf.ByteString`
`getStateBytes()`
the string representation of the SQL state
`long`
`getTempDiskSpaceConsumed()`
the total amount of temp disk space consumed in bytes
`String`
`getTimeComplete()`
the string representation of the time the query completed execution
`com.google.protobuf.ByteString`
`getTimeCompleteBytes()`
the string representation of the time the query completed execution
`String`
`getTimeExecStart()`
the string representation of the time the query began execution
`com.google.protobuf.ByteString`
`getTimeExecStartBytes()`
the string representation of the time the query began execution
`long`
`getTimestampComplete()`
ms since epoch representation of the time the query completed execution
`long`
`getTimestampExecStart()`
ms since epoch representation of the time the query began execution
`long`
`getTimestampStart()`
ms since epoch representation of the time the query was accepted by the sql node
`String`
`getTimeStart()`
the string representation of the time the query was accepted by the sql node
`com.google.protobuf.ByteString`
`getTimeStartBytes()`
the string representation of the time the query was accepted by the sql node
`String`
`getUser()`
the string representation of the user's uuid
`com.google.protobuf.ByteString`
`getUserBytes()`
the string representation of the user's uuid
`String`
`getUuid()`
the query plan uuid
`com.google.protobuf.ByteString`
`getUuidBytes()`
the query plan uuid
`boolean`
`hasDatabaseId()`
the string representation of the database uuid the user was connected to

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getUser

String getUser()

     the string representation of the user's uuid

`string user = 1;`

Returns:
  The user.

### getUserBytes

com.google.protobuf.ByteString getUserBytes()

     the string representation of the user's uuid

`string user = 1;`

Returns:
  The bytes for user.

### hasDatabaseId

boolean hasDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Returns:
  Whether the databaseId field is set.

### getDatabaseId

com.google.protobuf.StringValue getDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Returns:
  The databaseId.

### getDatabaseIdOrBuilder

com.google.protobuf.StringValueOrBuilder getDatabaseIdOrBuilder()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### getClientVersion

String getClientVersion()

     the version of the connector used to submit the query

`string client_version = 3;`

Returns:
  The clientVersion.

### getClientVersionBytes

com.google.protobuf.ByteString getClientVersionBytes()

     the version of the connector used to submit the query

`string client_version = 3;`

Returns:
  The bytes for clientVersion.

### getClientIp

String getClientIp()

     the IP of the client

`string client_ip = 4;`

Returns:
  The clientIp.

### getClientIpBytes

com.google.protobuf.ByteString getClientIpBytes()

     the IP of the client

`string client_ip = 4;`

Returns:
  The bytes for clientIp.

### getSql

String getSql()

     the sql text

`string sql = 5;`

Returns:
  The sql.

### getSqlBytes

com.google.protobuf.ByteString getSqlBytes()

     the sql text

`string sql = 5;`

Returns:
  The bytes for sql.

### getTimestampStart

long getTimestampStart()

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Returns:
  The timestampStart.

### getTimeStart

String getTimeStart()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Returns:
  The timeStart.

### getTimeStartBytes

com.google.protobuf.ByteString getTimeStartBytes()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Returns:
  The bytes for timeStart.

### getTimestampComplete

long getTimestampComplete()

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Returns:
  The timestampComplete.

### getTimeComplete

String getTimeComplete()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Returns:
  The timeComplete.

### getTimeCompleteBytes

com.google.protobuf.ByteString getTimeCompleteBytes()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Returns:
  The bytes for timeComplete.

### getCode

int getCode()

     the SQL state code

`int32 code = 10;`

Returns:
  The code.

### getState

String getState()

     the string representation of the SQL state

`string state = 11;`

Returns:
  The state.

### getStateBytes

com.google.protobuf.ByteString getStateBytes()

     the string representation of the SQL state

`string state = 11;`

Returns:
  The bytes for state.

### getReason

String getReason()

     the reason

`string reason = 12;`

Returns:
  The reason.

### getReasonBytes

com.google.protobuf.ByteString getReasonBytes()

     the reason

`string reason = 12;`

Returns:
  The bytes for reason.

### getTimestampExecStart

long getTimestampExecStart()

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Returns:
  The timestampExecStart.

### getTimeExecStart

String getTimeExecStart()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Returns:
  The timeExecStart.

### getTimeExecStartBytes

com.google.protobuf.ByteString getTimeExecStartBytes()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Returns:
  The bytes for timeExecStart.

### getUuid

String getUuid()

     the query plan uuid

`string uuid = 15;`

Returns:
  The uuid.

### getUuidBytes

com.google.protobuf.ByteString getUuidBytes()

     the query plan uuid

`string uuid = 15;`

Returns:
  The bytes for uuid.

### getFinalEffectivePriority

double getFinalEffectivePriority()

     the final effective dynamically adjusted priority

`double final_effective_priority = 16;`

Returns:
  The finalEffectivePriority.

### getCostEstimate

double getCostEstimate()

     the plan cost estimate

`double cost_estimate = 17;`

Returns:
  The costEstimate.

### getPlanParallelism

int getPlanParallelism()

     the plan parallelism

`uint32 plan_parallelism = 18;`

Returns:
  The planParallelism.

### getRowsReturned

long getRowsReturned()

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Returns:
  The rowsReturned.

### getBytesReturned

long getBytesReturned()

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Returns:
  The bytesReturned.

### getRuntime

long getRuntime()

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Returns:
  The runtime.

### getTempDiskSpaceConsumed

long getTempDiskSpaceConsumed()

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Returns:
  The tempDiskSpaceConsumed.

### getPriorityAdjustFactor

float getPriorityAdjustFactor()

     priority adjustment factor

`float priority_adjust_factor = 25;`

Returns:
  The priorityAdjustFactor.

### getPriorityAdjustTime

int getPriorityAdjustTime()

     priority adjustment time

`uint32 priority_adjust_time = 26;`

Returns:
  The priorityAdjustTime.

### getInitialPriority

float getInitialPriority()

     initial plan priority based on wlm limits

`float initial_priority = 27;`

Returns:
  The initialPriority.

### getInitialEffectivePriority

float getInitialEffectivePriority()

     initial effective priority adjusted for query cost and mem usage

`float initial_effective_priority = 28;`

Returns:
  The initialEffectivePriority.